--[[----------------------------------------------------------------------------

ExportToViewbook.lua
Main script to drive Viewbook export process

--------------------------------------------------------------------------------

VIEWBOOK B.V.
 Copyright 2012-2008 Viewbook B.V.
 All Rights Reserved.

------------------------------------------------------------------------------]]

	-- Lightroom SDK
local LrApplication = import 'LrApplication'
local LrExportSession = import 'LrExportSession'
local LrTasks = import 'LrTasks'


LrTasks.startAsyncTask( function()

	local activeCatalog = LrApplication.activeCatalog()
	local filmstrip = activeCatalog.targetPhotos
	
	local exportSession = LrExportSession{
								exportSettings = {
									LR_exportServiceProvider = 'com.viewbook.lightroom.export.flickr',
									privacy = 'private',
								},
								photosToExport = filmstrip }
	
	exportSession:doExportOnCurrentTask()

end )
