--[[----------------------------------------------------------------------------

ViewbookExportServiceProvider.lua
Export service provider description for Lightroom Viewbook uploader

--------------------------------------------------------------------------------

VIEWBOOK B.V.
 Copyright 2012-2008 Viewbook B.V.
 All Rights Reserved.



------------------------------------------------------------------------------]]

	-- Lightroom SDK
local LrColor = import "LrColor"

	-- Viewbook plug-in
require 'ViewbookExportDialogSections'
require 'ViewbookUploadTask'

--============================================================================--

return {
	
	hideSections = { 'exportLocation' },

	allowFileFormats = { 'JPEG', 'TIFF' },
	--allowColorSpaces = { 'sRGB' },
	
	hidePrintResolution = true,

	image = "Viewbooklogo.png",
	image_alignment = "left",
	background_color = LrColor( "white" ),
	
	exportPresetFields = {
		{ key = 'privacy', default = 'public' },
		{ key = 'privacy_family', default = false },
		{ key = 'privacy_friends', default = false },
		{ key = 'safety', default = 'safe' },
		{ key = 'hideFromPublic', default = false },
		{ key = 'type', default = 'photo' },
		{ key = 'addToPhotoset', default = false },
		{ key = 'photoset', default = nil },
		{ key = 'addTags', default = '' },
	},

	-- These are Ligtroom internal functions, used in the form of:
	-- processRenderedPhotos = function( functionContext, exportContext ) 
	-- ... 
	-- end, 
	
	startDialog = ViewbookExportDialogSections.startDialog,
	sectionsForTopOfDialog = ViewbookExportDialogSections.sectionsForTopOfDialog,
	sectionsForBottomOfDialog = ViewbookExportDialogSections.sectionsForBottomOfDialog,
	-- called after user Clicks the Export button
	processRenderedPhotos = ViewbookUploadTask.processRenderedPhotos,
}
